package objects;

public class Result {
	int id;
	int trackId;
	String raceDate;
	String RaceType;
	int RaceNumber;
	int lane;
	int distance;
	int result;
	float time;
	String timeModifier;
	int shoes;
	int sulky;
	int driverId;
	int trainerId;
	int horseId;
	int raceId;

	public Result(int id, int trackId, String raceDate, String raceType, int raceNumber, int lane, int distance,
			int result, float time, String timeModifier, int shoes, int sulky, int driverId, int trainerId, int horseId,
			int raceId) {
		super();
		this.id = id;
		this.trackId = trackId;
		this.raceDate = raceDate;
		RaceType = raceType;
		RaceNumber = raceNumber;
		this.lane = lane;
		this.distance = distance;
		this.result = result;
		this.time = time;
		this.timeModifier = timeModifier;
		this.shoes = shoes;
		this.sulky = sulky;
		this.driverId = driverId;
		this.trainerId = trainerId;
		this.horseId = horseId;
		this.raceId = raceId;
	}

	public int getId() {
		return id;
	}

	public int getTrackId() {
		return trackId;
	}

	public String getRaceDate() {
		return raceDate;
	}

	public String getRaceType() {
		return RaceType;
	}

	public int getRaceNumber() {
		return RaceNumber;
	}

	public int getLane() {
		return lane;
	}

	public int getDistance() {
		return distance;
	}

	public int getResult() {
		return result;
	}

	public float getTime() {
		return time;
	}

	public String getTimeModifier() {
		return timeModifier;
	}

	public int getShoes() {
		return shoes;
	}

	public int getSulky() {
		return sulky;
	}

	public int getDriverId() {
		return driverId;
	}

	public int getTrainerId() {
		return trainerId;
	}

	public int getHorseId() {
		return horseId;
	}

	public int getRaceId() {
		return raceId;
	}

	public void setId(int id) {
		this.id = id;
	}

	public void setTrackId(int trackId) {
		this.trackId = trackId;
	}

	public void setRaceDate(String raceDate) {
		this.raceDate = raceDate;
	}

	public void setRaceType(String raceType) {
		RaceType = raceType;
	}

	public void setRaceNumber(int raceNumber) {
		RaceNumber = raceNumber;
	}

	public void setLane(int lane) {
		this.lane = lane;
	}

	public void setDistance(int distance) {
		this.distance = distance;
	}

	public void setResult(int result) {
		this.result = result;
	}

	public void setTime(float time) {
		this.time = time;
	}

	public void setTimeModifier(String timeModifier) {
		this.timeModifier = timeModifier;
	}

	public void setShoes(int shoes) {
		this.shoes = shoes;
	}

	public void setSulky(int sulky) {
		this.sulky = sulky;
	}

	public void setDriverId(int driverId) {
		this.driverId = driverId;
	}

	public void setTrainerId(int trainerId) {
		this.trainerId = trainerId;
	}

	public void setHorseId(int horseId) {
		this.horseId = horseId;
	}

	public void setRaceId(int raceId) {
		this.raceId = raceId;
	}

	public String resultToFileString() {
		return id + ";" + trackId + ";" + raceDate + ";" + RaceType + ";" + RaceNumber + ";" + lane + ";" + distance
				+ ";" + result + ";" + time + ";" + timeModifier + ";" + shoes + ";" + sulky + ";" + driverId + ";"
				+ trainerId + ";" + horseId + ";" + raceId;
	}

	@Override
	public String toString() {
		return String.format(
				"id %s, trackId %s, raceDate %s, raceType %s, raceNumber %s, lane %s, distance %s, result %s, time %s, timeModifier %s, "
						+ " shoes %s, sulky %s, driverId %s, trainerId %s, horseId %s, raceId %s",
						id, trackId, raceDate, RaceType, RaceNumber, lane, distance, result, time, timeModifier, shoes, sulky,
						driverId, trainerId, horseId, raceId);
	}
}
